package com.steerinfo.dil.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckWeightResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-09 02:21
 * 类描述
 * 修订历史：
 * 日期：2021-09-09
 * 作者：generator
 * 参考：
 * 描述：TmstruckWeightResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckWeightResultService{
    //更新计毛实绩
    int addJiMaoResult(Map<String, Object> map);

    //查询所有计毛实绩
    List<Map<String, Object>> getAllJiMaoResult(Map<String, Object> map);

    //查询所有计皮实绩
    List<Map<String, Object>> getAllJiPiResult(Map<String, Object> map);

    //更新计皮实绩
    int addJiPiResult(Map<String, Object> map);

    //新增计皮计毛实绩
    int addWeightResult(Map<String, Object> map);

    //通过物资ID查询应该在哪个汽车衡计量
    int getCalculateIdByMaterial(BigDecimal materialId);
    /**
     *通过运输订单判断下一步是否需要计量,更新汽车衡到计量实绩中
     */
    int isNextNeedJl(BigDecimal bigDecimal);
}